package com.adealink.frame.imkit.config

import io.rong.imlib.model.Conversation
import io.rong.imlib.model.Message
import io.rong.imlib.model.MessageContent

abstract class ReceivedMessageInterceptor: MessageInterceptor {

    override fun interceptOnSendMessage(message: Message?): Boolean {
        return false
    }

    override fun interceptOnSentMessage(message: Message?): Boolean {
        return false
    }

    override fun interceptOnInsertOutgoingMessage(
        type: Conversation.ConversationType?,
        targetId: String?,
        sentStatus: Message.SentStatus?,
        content: MessageContent?,
        sentTime: Long
    ): Boolean {
        return false
    }

    override fun interceptOnInsertIncomingMessage(
        type: Conversation.ConversationType?,
        targetId: String?,
        senderId: String?,
        receivedStatus: Message.ReceivedStatus?,
        content: MessageContent?,
        sentTime: Long
    ): Boolean {
        return false
    }
}